Jax Calendar eventlist.inc.php Multiple Variable XSS

2005-08-05T09:55:22
ID OSVDB:18584
Type osvdb
Reporter Lostmon Lords(Lostmon@gmail.com)
Modified 2005-08-05T09:55:22

Description

Vulnerability Description

Jax Calendar contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate multiple variables upon submission to the eventlist.inc.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Solution Description

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

Short Description

Jax Calendar contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate multiple variables upon submission to the eventlist.inc.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Manual Testing Notes

http://[victim]/calendar/modules/eventlist.inc.php?&Y=2005&m=8&d=2&cal_id=0&language=german&gmt_ofs=-1&view=d30&view=d1[XSS-CODE]

References:

Vendor URL: http://www.jtr.de/scripting/php/ Secunia Advisory ID:16333 Related OSVDB ID: 18585 Related OSVDB ID: 18583 Other Advisory URL: http://lostmon.blogspot.com/2005/08/jax-php-scripts-multiple.html Bugtraq ID: 14481